<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Signature</title>
</head>
<body>

<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
    <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                    <span>Signature</span>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <form method="post" th:action="@{/signature/save}" enctype="multipart/form-data">
                <div class="card bg-body bg-opacity-50 shadow-sm">
                    <div class="card-body">
                        <div class="flex-row">
                            <div class="wrapper">
                                <canvas id="signature-pad" width="400" height="200"></canvas>
                            </div>
                            <div class="clear-btn">
                                <button id="clear"><span> Clear </span></button>
                            </div>
                        </div>

<!--                        <div id="signature-pad">-->
<!--                            <div style="border:solid 1px teal; width:720px;height:220px;padding:3px;position:relative;">-->
<!--                                <div id="note" onmouseover="my_function();">The signature should be inside box</div>-->
<!--                                <canvas id="the_canvas" width="350px" height="100px"></canvas>-->
<!--                            </div>-->
<!--                            <div style="margin:10px;">-->
<!--                                <input type="hidden" id="signature" name="signature">-->
<!--                                <button type="button" id="clear_btn" class="btn btn-danger" data-action="clear"><span class="glyphicon glyphicon-remove"></span> Clear</button>-->
<!--                                <button type="submit" id="save_btn" class="btn btn-primary" data-action="save-png"><span class="glyphicon glyphicon-ok"></span> Save as PNG</button>-->
<!--                            </div>-->
<!--                        </div>-->
                    </div>
                    <div class="card-footer">
<!--                        <div class="mb-3">-->
                            <button class="btn btn-primary rounded-pill">Simpan</button>
<!--                        </div>-->
                    </div>
                </div>
                </form>
            </div>
        </div>
    </main>
</main>
<main layout:fragment="footer" class="script">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/signature_pad/1.3.5/signature_pad.min.js" integrity="sha512-kw/nRM/BMR2XGArXnOoxKOO5VBHLdITAW00aG8qK4zBzcLVZ4nzg7/oYCaoiwc8U9zrnsO9UHqpyljJ8+iqYiQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        var canvas = document.getElementById("signature-pad");

        function resizeCanvas() {
            var ratio = Math.max(window.devicePixelRatio || 1, 1);
            canvas.width = canvas.offsetWidth * ratio;
            canvas.height = canvas.offsetHeight * ratio;
            canvas.getContext("2d").scale(ratio, ratio);
        }
        window.onresize = resizeCanvas;
        resizeCanvas();

        var signaturePad = new SignaturePad(canvas, {
            backgroundColor: 'rgb(250,250,250)'
        });

        document.getElementById("clear").addEventListener('click', function(){
            signaturePad.clear();
        })
    </script>

<!--    <script>-->
<!--        var wrapper = document.getElementById("signature-pad");-->
<!--        var clearButton = wrapper.querySelector("[data-action=clear]");-->
<!--        var savePNGButton = wrapper.querySelector("[data-action=save-png]");-->
<!--        var canvas = wrapper.querySelector("canvas");-->
<!--        var el_note = document.getElementById("note");-->
<!--        var signaturePad;-->
<!--        signaturePad = new SignaturePad(canvas);-->
<!--        clearButton.addEventListener("click", function (event) {-->
<!--            document.getElementById("note").innerHTML="The signature should be inside box";-->
<!--            signaturePad.clear();-->
<!--        });-->
<!--        savePNGButton.addEventListener("click", function (event){-->
<!--            if (signaturePad.isEmpty()){-->
<!--                alert("Please provide signature first.");-->
<!--                event.preventDefault();-->
<!--            }else{-->
<!--                var canvas  = document.getElementById("the_canvas");-->
<!--                var dataUrl = canvas.toDataURL();-->
<!--                document.getElementById("signature").value = dataUrl;-->
<!--            }-->
<!--        });-->
<!--        function my_function(){-->
<!--            document.getElementById("note").innerHTML="";-->
<!--        }-->
<!--    </script>-->

</main>
</body>
</html>